Bug 827059 - [kn_IN] failed pofilter printf tests for subscription-manager translations
[kn_IN] failed pofilter printf tests for subscription-manager translations
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 5.9
Assigned To: Bryan Kearney
Entitlement Bugs
: i18n, Translation, Triaged
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-05-31 10:21 EDT by Sharath Dwaral
Modified: 2015-03-22 21:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:46:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sharath Dwaral 2012-05-31 10:21:02 EDT
Description of problem:
The gnome printf were not properly translated for 'kn' on a few of the translations.  See the output below...


Version-Release number of selected component (if applicable):
[root@jsefler-r63-server ~]# rpm -q subscription-manager
subscription-manager-0.99.19-1.el6.x86_64


How reproducible:


Steps to Reproduce:
[root@fsharath-rhel63server ~]# pofilter --gnome -t printf /usr/share/locale/kn/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: l 10n\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-05-16 08:40-0400\n"
"PO-Revision-Date: 2012-04-16 03:03-0400\n"
"Last-Translator: shanky <shanky@fedoraproject.org>\n"
"Language-Team: kn_IN <kde-i18n-doc@kde.org>\n"
"Language: kn\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=n != 1;\n"
"X-Generator: Zanata 1.5.0\n"

# (pofilter) printf: Different number of printf variables
msgid "There was an error saving your configuration."
msgstr "ನಿಮ್ಮ ಸಂರಚನೆಯನ್ನು ಉಳಿಸುವಲ್ಲಿ ದೋಷ ಉಂಟಾಗಿದೆ. ನೀವು %s ಅನ್ನು ಹೊಂದಿದ್ದೀರಿ ಎಂದು ಖಚಿತಪಡಿಸಿಕೊಳ್ಳಿ."

  
Actual results:
Above

Expected results:
sgid "There was an error saving your configuration."
msgstr "ನಿಮ್ಮ ಸಂರಚನೆಯನ್ನು ಉಳಿಸುವಲ್ಲಿ ದೋಷ ಉಂಟಾಗಿದೆ. ನೀವು ಅನ್ನು ಹೊಂದಿದ್ದೀರಿ ಎಂದು ಖಚಿತಪಡಿಸಿಕೊಳ್ಳಿ."

Additional info:
http://translate.sourceforge.net/wiki/toolkit/pofilter_tests#printf
Comment 2 RHEL Product and Program Management 2012-06-04 01:48:25 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Shankar Prasad 2012-06-15 04:55:45 EDT
I couldn't locate this entry in subscription-manager. Any idea, where I can find this entry to fix this?

Shankar
Comment 4 sandeep shedmake 2012-06-17 23:59:37 EDT
$ grep -ir "There was an error saving your configuration" subscription-manager-0.99.19/po/kn.po 
msgid "There was an error saving your configuration."
$ echo $?
0
Comment 5 Shankar Prasad 2012-06-18 02:42:29 EDT
Thanks Sandeep!

As per his comment, this issue was found in subscription-manager-0.98.x, 0.99.x and 0.10.x. 

Fixed in all the occurances:

https://translate.zanata.org/zanata/project/view/subscription-manager


Shanky
Comment 6 Bryan Kearney 2012-07-03 13:59:36 EDT
fixed in 1.0.8 or later.
Comment 7 Sharath Dwaral 2012-07-16 16:44:31 EDT
Version:
# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-1.0.9-1.git.22.35b5155.el5
python-rhsm-1.0.3-1.git.2.47dc8f4.el5
subscription-manager-migration-data-1.11.2.2-1.git.0.2eea155.el5
subscription-manager-migration-1.0.9-1.git.22.35b5155.el5
subscription-manager-gui-1.0.9-1.git.22.35b5155.el5
subscription-manager-firstboot-1.0.9-1.git.22.35b5155.el5

Verification:
# msgunfmt --no-wrap /usr/share/locale/kn/LC_MESSAGES/rhsm.mo -o /usr/share/locale/kn/LC_MESSAGES/rhsm.po
# pofilter --gnome -t printf /usr/share/locale/kn/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%

Moving Bug to VERIFIED
Comment 8 Bryan Kearney 2013-01-09 12:46:05 EST
Batch change of verified bugs which must have missed making the errata.

Note You need to log in before you can comment on or make changes to this bug.